summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-mail/davmail')
-rw-r--r--net-mail/davmail/.directory5
-rw-r--r--net-mail/davmail/Manifest5
-rw-r--r--net-mail/davmail/davmail-3.9.1_p1646.ebuild41
-rw-r--r--net-mail/davmail/files/davmail.desktop11
-rw-r--r--net-mail/davmail/files/davmail.pngbin0 -> 4218 bytes
5 files changed, 62 insertions, 0 deletions
diff --git a/net-mail/davmail/.directory b/net-mail/davmail/.directory
new file mode 100644
index 0000000..160ad26
--- /dev/null
+++ b/net-mail/davmail/.directory
@@ -0,0 +1,5 @@
+[Dolphin]
+AdditionalInfoV2=CustomizedDetails,Details_Path,Details_Size,Details_Date
+Timestamp=2011,3,28,21,25,32
+Version=2
+ViewMode=1
diff --git a/net-mail/davmail/Manifest b/net-mail/davmail/Manifest
new file mode 100644
index 0000000..8ee912c
--- /dev/null
+++ b/net-mail/davmail/Manifest
@@ -0,0 +1,5 @@
+AUX davmail.desktop 211 RMD160 a0c72ff2427b813d292c706c89878e556b13e2ea SHA1 bd2a652ca3265221694973071573e747d4cb0c29 SHA256 3f6a7ec2a20f4148452212733a238b89ba709d94f1231e3b8fb993ab0d77a222
+AUX davmail.png 4218 RMD160 1b271ae8e6f85f1550c5140080fb6b7f64799afc SHA1 44fe30922093156f2c594065c59bed7442ec5083 SHA256 b50a1e8d9ac3e20acf88f77d9524f986041282e9f6ae120c78ee64cf6a20df7e
+DIST davmail-linux-x86_64-3.9.1-1646.tgz 6386052 RMD160 a4857788123eb6e3ff5d08378818047b306dcd60 SHA1 5ebe787330d0cd4ca4336110bb36bac029d14a1e SHA256 2c7b85cccc1f7883a01f3ea5b04f6e71f057abcdcdb06f26ed8d129e21c8f4ea
+EBUILD davmail-3.9.1_p1646.ebuild 906 RMD160 f864230d1b2eeb77c0a7307f5f98fbd1a52fc809 SHA1 6a6904d2c59b5f5b91ec41e3573edf63d96aa6e2 SHA256 df4ac1b21dfb8ba5c6003403e6e501469fbc55fde6060737a142067ba26328c5
+MISC davmail-3.9.1_p1646.ebuild~ 931 RMD160 e846ab784504abe58b3da611f087941909ae10fa SHA1 cc25d837af82e26387a833a3ca943e30536d1337 SHA256 1ae361f9f9d803c0928d3689722475314e902bcd5e3450801fa44faeef77557b
diff --git a/net-mail/davmail/davmail-3.9.1_p1646.ebuild b/net-mail/davmail/davmail-3.9.1_p1646.ebuild
new file mode 100644
index 0000000..5977b26
--- /dev/null
+++ b/net-mail/davmail/davmail-3.9.1_p1646.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=3
+inherit eutils
+
+use x86 && MY_P="${PN}-linux-x86-${PV/_p/-}"
+use amd64 && MY_P="${PN}-linux-x86_64-${PV/_p/-}"
+
+DESCRIPTION="POP/IMAP/SMTP/Caldav/Carddav/LDAP Exchange Gateway"
+HOMEPAGE="http://davmail.sourceforge.net/"
+SRC_URI="mirror://sourceforge/davmail/${MY_P}.tgz"
+RESTRICT="mirror"
+
+LICENSE="GPL-2"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE="menu"
+
+SLOT="0"
+
+DEPEND="|| ( virtual/jre:1.6 virtual/jdk:1.6 )"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+src_install() {
+ cd "${S}"
+ # Fix the script BASE=
+ sed -i -e "s@BASE=.*@BASE=/opt/davmail@" davmail.sh
+
+ dodir "/opt/$PN"
+ cp -a * "${D}/opt/$PN"
+ dodir "/opt/bin"
+ dosym "/opt/$PN/davmail.sh" "/opt/bin/davmail.sh"
+
+ if use menu; then
+ domenu "${FILESDIR}/davmail.desktop"
+ doicon "${FILESDIR}/davmail.png"
+ fi
+}
diff --git a/net-mail/davmail/files/davmail.desktop b/net-mail/davmail/files/davmail.desktop
new file mode 100644
index 0000000..e573c5a
--- /dev/null
+++ b/net-mail/davmail/files/davmail.desktop
@@ -0,0 +1,11 @@
+#!/usr/bin/env xdg-open
+[Desktop Entry]
+Version=1.0
+Encoding=UTF-8
+Type=Application
+Name=DavMail Gateway
+Comment=Exchange connector
+Icon=davmail
+Terminal=false
+Categories=Network;Email;
+Exec=/opt/bin/davmail.sh
diff --git a/net-mail/davmail/files/davmail.png b/net-mail/davmail/files/davmail.png
new file mode 100644
index 0000000..d262a95
--- /dev/null
+++ b/net-mail/davmail/files/davmail.png
Binary files differ